# This file created by conda-build 26.3.0
# meta.yaml template originally from:
# /home/task_178093340682456/pyjwt-feedstock/recipe, last modified Mon Jun  8 15:51:58 2026
# ------------------------------------------------

package:
  name: pyjwt
  version: 2.13.0
source:
  url: https://pypi.org/packages/source/p/pyjwt/pyjwt-2.13.0.tar.gz
  sha256: 41571c89ca91598c79e8ef18a2d07367d4810fbbd6f637794879baf1b7703423
build:
  number: '0'
  script: /home/task_178093340682456/croot/pyjwt_1780933942277/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_place/bin/python
    -m pip install . --no-deps --no-build-isolation --ignore-installed --no-cache-dir
    -vv
  string: py314h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 52_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2026.5.14 h06a4308_0
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libexpat 2.8.1 h7354ed3_0
    - libffi 3.4.8 hc5d346e_2
    - libgcc 15.2.0 h69a1729_8
    - libgcc-ng 15.2.0 h166f726_8
    - libmpdec 4.0.0 h5eee18b_0
    - libstdcxx 15.2.0 h39759b7_8
    - libstdcxx-ng 15.2.0 hc03a8fd_8
    - libuuid 1.41.5 h5eee18b_0
    - libxcb 1.17.0 h9b100fa_0
    - libzlib 1.3.1 h47b2149_1
    - lz4-c 1.9.4 h6a678d5_1
    - ncurses 6.5 h7934f7d_0
    - openssl 3.5.6 h1b28b03_0
    - packaging 26.0 py314h06a4308_0
    - pip 26.1.1 pyh0d26453_1
    - pthread-stubs 0.3 h0ce48e5_1
    - python 3.14.4 h490e9c7_100_cp314
    - python_abi 3.14 2_cp314
    - readline 8.3 hc2a1206_0
    - setuptools 82.0.1 py314h06a4308_0
    - sqlite 3.51.2 h3e8d24a_0
    - tk 8.6.15 h54e0aa7_0
    - tzdata 2026b he532380_0
    - wheel 0.46.3 py314h06a4308_0
    - xorg-libx11 1.8.12 h9b100fa_1
    - xorg-libxau 1.0.12 h9b100fa_0
    - xorg-libxdmcp 1.1.5 h9b100fa_0
    - xorg-xorgproto 2024.1 h5eee18b_1
    - xz 5.8.2 h448239c_0
    - zlib 1.3.1 h47b2149_1
    - zstd 1.5.7 h11fc155_0
  run:
    - python >=3.14,<3.15.0a0
    - python_abi 3.14.* *_cp314
  run_constrained:
    - cryptography >=3.4.0
test:
  source_files:
    - tests
  imports:
    - jwt
  requires:
    - pip
    - pytest >=6.0.0,<9.0.0
  commands:
    - pip check
    - pytest tests
about:
  home: https://github.com/jpadilla/pyjwt
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: JSON Web Token implementation in Python
  description: 'PyJWT is a Python library which allows you to encode and decode JSON
    Web Tokens (JWT).

    JWT is an open, industry-standard (RFC 7519) for representing claims securely
    between two parties.

    '
  dev_url: https://github.com/jpadilla/pyjwt
  doc_url: https://pyjwt.readthedocs.io
extra:
  recipe-maintainers:
    - ocefpaf
    - pmlandwehr
  final: true
  copy_test_source_files: true
  remote_url: https://github.com/AnacondaRecipes/pyjwt-feedstock
  sha: 6465b1e382d327f0728847831843f45f412e4328
  task_id: WLlHyJiYQRmWqT9kiDZCtw
  task_run_id: '0'
  pbp_graph_uuid: 7ca68256-df94-4e58-a75e-1e8ce5cb6f35
